%define apache_version 2.0.53

Summary:	Configuration files for Apache
Name:		apache-conf
Version:	%{apache_version}
Release:	4%{_my_ext}
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}


Group:		System/Servers
URL:		http://www.advx.org
License:	Apache License
Source0:	httpd.init.mandrake
Source1:	httpd2.conf
Source2:	httpd2-perl.conf
Source3:	mime.types
Source4:	apache-2.0.40-testscript.pl
Source5:	magic.default
Source6:	commonhttpd.conf
Source7:	httpd.sysconf
Source10:	Vhosts.conf
Source11:	DynamicVhosts.conf
Source12:	VirtualHomePages.conf
Source14:	favicon.ico.bz2
Source20:	index.shtml
Source21:	mandrake.html
Source22:	optim.html
Source23:	logo.gif
Source24:	apacheicon.gif
Source25:	medbutton.png
Source26:	stamp.gif
Source29:	ADVX-icons.tar.bz2
Source30:	advxaddmod
Source31:	advxdelmod
Source32:	advxfixconf
Source33:	advxlogserverstatus
Source34:	advxsplitlogfile
Source35:	advxsplitlogfile.c
Source40:	advx-checkifmigrate
Source41:	mod_ssl-migrate-20
Source42:	advx-migrate-httpd.conf
Source43:	advx-migrate-httpd-perl.conf
Source44:	advx-migrate-commonhttpd.conf
Source45:	advx-migrate-vhosts.conf
Source46:	advx-cleanremove
Source51:	httpd.conf
Source52:	httpd-perl.conf
Source53:	ap13chkconfig
Source54:	advxrun1.3
Source55:	advxrun2.0
Source99:	README.apache-conf
Source100:	robots.txt
Source101:	fileprotector.conf
Requires:	lynx >= 2.8.5
Provides:	apache2-conf
Provides:	apache-conf = 1.3.28
PreReq:		rpm-helper
BuildRequires:	dietlibc-devel >= 0.20-1mdk
#JMD: We have to do this here, since files have moved
Obsoletes:	apache-common
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains configuration files for apache and 
apache-mod_perl. 
It is necessary for operation of the apache webserver.

Having those files into a separate modules provides better customization for
OEMs and ISPs, who can modify the look and feel of the %{name} webserver
without having to re-compile the whole suite to change a logo or config
file.

%prep

%setup -q -c -T -n %{name}-%{version}
cp %{SOURCE35} .

%build

diet gcc -Os -s -static -nostdinc -o advxsplitlogfile-DIET advxsplitlogfile.c
gcc %{optflags} -o advxsplitlogfile advxsplitlogfile.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/httpd/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/addon-modules
install -d %{buildroot}%{_sysconfdir}/httpd/conf/vhosts
install -d %{buildroot}%{_sysconfdir}/httpd/webapps.d
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_var}/apache-mm
install -d %{buildroot}%{_var}/cache/httpd
install -d %{buildroot}%{_var}/log/httpd
install -d %{buildroot}%{_var}/www/cgi-bin
install -d %{buildroot}%{_var}/www/html/addon-modules
install -d %{buildroot}%{_var}/www/icons
install -d %{buildroot}%{_var}/www/perl
install -d %{buildroot}%{_datadir}/ADVX/compat
install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_libdir}/ADVX/contribs

install -m755 advxsplitlogfile-DIET %{buildroot}%{_libdir}/ADVX/contribs/
install -m755 advxsplitlogfile %{buildroot}%{_libdir}/ADVX/contribs/

install -m755 %{SOURCE40} %{buildroot}%{_datadir}/ADVX
install -m755 %{SOURCE41} %{buildroot}%{_datadir}/ADVX
install -m755 %{SOURCE42} %{buildroot}%{_datadir}/ADVX
install -m755 %{SOURCE43} %{buildroot}%{_datadir}/ADVX
install -m755 %{SOURCE44} %{buildroot}%{_datadir}/ADVX
install -m755 %{SOURCE45} %{buildroot}%{_datadir}/ADVX
install -m755 %{SOURCE46} %{buildroot}%{_datadir}/ADVX

ln -sf ../..%{_var}/log/httpd %{buildroot}%{_sysconfdir}/httpd/logs

install -m755 %{SOURCE4} %{buildroot}%{_var}/www/cgi-bin/test.cgi
install -m755 %{SOURCE4} %{buildroot}%{_var}/www/perl/test.pl

install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf/httpd2.conf
install -m644 %{SOURCE51} %{buildroot}%{_sysconfdir}/httpd/conf/httpd.conf
install -m644 %{SOURCE6} %{buildroot}%{_sysconfdir}/httpd/conf/commonhttpd.conf
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf/httpd2-perl.conf
install -m644 %{SOURCE52} %{buildroot}%{_sysconfdir}/httpd/conf/httpd-perl.conf
install -m644 %{SOURCE101} %{buildroot}%{_sysconfdir}/httpd/conf/fileprotector.conf

#For compatibility if someone installs Apache 2.0, then changes their
#mind and installs 1.3 instead, they will need the config files!
install -m644 %{SOURCE51} %{buildroot}%{_datadir}/ADVX/compat/httpd.conf
install -m644 %{SOURCE52} %{buildroot}%{_datadir}/ADVX/compat/httpd-perl.conf

install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/conf/apache-mime.types
install -m644 %{SOURCE5} %{buildroot}%{_sysconfdir}/httpd/conf/magic.default
cp %{buildroot}%{_sysconfdir}/httpd/conf/magic.default \
    %{buildroot}%{_sysconfdir}/httpd/conf/magic
install -m644 %{SOURCE10} %{buildroot}%{_sysconfdir}/httpd/conf/vhosts/Vhosts.conf
install -m644 %{SOURCE11} %{buildroot}%{_sysconfdir}/httpd/conf/vhosts/DynamicVhosts.conf
install -m644 %{SOURCE12} %{buildroot}%{_sysconfdir}/httpd/conf/vhosts/VirtualHomePages.conf

# install our icon
# JMD: We need an ADVX icon ;-)
bzcat %{SOURCE14} > %{buildroot}%{_var}/www/html/favicon.ico

#install misc documentation and logos
install -m644 %{SOURCE20} %{buildroot}/%{_var}/www/html/index.shtml
install -m644 %{SOURCE22} %{buildroot}/%{_var}/www/html/optim.html
install -m644 %{SOURCE21} %{buildroot}/%{_var}/www/html/platform.html
install -m644 %{SOURCE23} %{buildroot}/%{_var}/www/icons/logo.gif
install -m644 %{SOURCE24} %{buildroot}/%{_var}/www/icons/apacheicon.gif
install -m644 %{SOURCE26} %{buildroot}/%{_var}/www/icons/stamp.gif
install -m644 %{SOURCE25} %{buildroot}/%{_var}/www/icons/medbutton.png

pushd %{buildroot}/%{_var}/www/icons/
    tar xjf %{SOURCE29}
popd

cat > HOWTO_get_modules.html << EOF
<p>* Get all the latest modules at <a href=http://www.advx.org/>www.advx.org</a>.</p>
<p>* For a fresh list of availible modules for apache2, please visit <a href=http://nux.se/>nux.se</a>.</p>
EOF
install -m0644 HOWTO_get_modules.html %{buildroot}%{_var}/www/html/addon-modules/

cat << EOF > %{buildroot}%{_var}/www/html/addon-modules/.htaccess
Order deny,allow
Deny from all
Allow from 127.0.0.1
ErrorDocument 403 "This directory can only be viewed from localhost. If you don't care about this security feature, remove %{_var}/www/html/addon-modules/.htaccess.
EOF

# install log rotation stuff
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} << EOF
%{_var}/log/httpd/access_log %{_var}/log/httpd/error_log %{_var}/log/httpd/agent_log %{_var}/log/httpd/referer_log %{_var}/log/httpd/apache_runtime_status
%{_var}/log/httpd/ssl_mutex %{_var}/log/httpd/ssl_access_log %{_var}/log/httpd/ssl_error_log %{_var}/log/httpd/ssl_agent_log %{_var}/log/httpd/ssl_request_log 
%{_var}/log/httpd/suexec_log
{
    size=2000M
    rotate 5
    monthly
    missingok
    notifempty
    nocompress
    prerotate
	ADVXctl closelogs
    endscript
    postrotate
	ADVXctl closelogs
    endscript
}
EOF

#Install initscripts
%define init_name httpd
install -m755 %{SOURCE0} %{buildroot}%{_initrddir}/%{init_name}
rm -f %{buildroot}%{_sbindir}/apachectl*
ln -s ../..%{_initrddir}/%{init_name}  %{buildroot}%{_sbindir}/ADVXctl
ln -s ../..%{_initrddir}/%{init_name}  %{buildroot}%{_sbindir}/AESctl
ln -s ../..%{_initrddir}/%{init_name}  %{buildroot}%{_sbindir}/apachectl
ln -s ../..%{_initrddir}/%{init_name}  %{buildroot}%{_sbindir}/apachectl-perl

install -m755 %{SOURCE30} %{buildroot}%{_sbindir}
install -m755 %{SOURCE31} %{buildroot}%{_sbindir}
install -m755 %{SOURCE32} %{buildroot}%{_sbindir}
install -m755 %{SOURCE33} %{buildroot}%{_sbindir}
install -m755 %{SOURCE34} %{buildroot}%{_sbindir}
install -m755 %{SOURCE53} %{buildroot}%{_sbindir}
install -m755 %{SOURCE54} %{buildroot}%{_sbindir}
install -m755 %{SOURCE55} %{buildroot}%{_sbindir}

install -m644 %{SOURCE99} README.apache-conf

#Apache 1.3 compatibility
#link modules dir
ln -sf ../..%{_libdir}/apache-extramodules \
        %{buildroot}%{_sysconfdir}/httpd/extramodules

install -m0644 %{SOURCE7} %{buildroot}%{_sysconfdir}/sysconfig/httpd
install -m0644 %{SOURCE100} %{buildroot}%{_var}/www/html/robots.txt

%pre
%_pre_useradd apache %{_var}/www /bin/sh

%post
if [ $1 = "1" ]; then
    %{_datadir}/ADVX/advx-checkifmigrate
fi
%_post_service httpd
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%preun
%_preun_service httpd

%postun
%_postun_userdel apache

if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.apache-conf
%dir %{_sysconfdir}/httpd
%dir %{_sysconfdir}/httpd/conf
%dir %{_sysconfdir}/httpd/conf.d
%dir %{_sysconfdir}/httpd/conf/addon-modules
%dir %{_sysconfdir}/httpd/extramodules
%dir %{_sysconfdir}/httpd/logs
%dir %{_sysconfdir}/httpd/webapps.d
%dir %{_var}/log/httpd
%dir %{_var}/www/cgi-bin
%dir %{_var}/www/html/addon-modules
%dir %{_var}/www/icons
%dir %{_var}/www/perl
%dir %{_libdir}/ADVX
%dir %{_datadir}/ADVX
%attr(0755,apache,apache) %dir %{_var}/www
%attr(0755,apache,apache) %dir %{_var}/www/html
%attr(-,apache,apache) %dir %{_var}/cache/httpd
#JMD: For compatibility with Apache 1.3
#JMD: *never remove this!* 1333 is the *right* permission.
%attr(1333,apache,apache) %dir %{_var}/apache-mm
%attr(0755,root,root) %{_initrddir}/httpd
%config %ghost %{_sysconfdir}/httpd/conf/httpd.conf
%config %ghost %{_sysconfdir}/httpd/conf/httpd-perl.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/httpd2.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/commonhttpd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/httpd2-perl.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/fileprotector.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/magic
%config(noreplace) %{_sysconfdir}/httpd/conf/apache-mime.types
%config(noreplace) %{_sysconfdir}/httpd/conf/magic.default
%config(noreplace) %{_sysconfdir}/httpd/conf/vhosts
%config(noreplace) %{_sysconfdir}/sysconfig/httpd
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_var}/www/html/addon-modules/.htaccess
%{_var}/www/cgi-bin/*
%{_var}/www/perl/*
%{_var}/www/icons/*
%{_var}/www/html/addon-modules/*
%{_var}/www/html/platform.html
%{_var}/www/html/optim.html
%config(noreplace) %{_var}/www/html/favicon.ico
%config(noreplace) %{_var}/www/html/index.shtml
%config(noreplace) %{_var}/www/html/robots.txt
%{_sbindir}/*
%{_datadir}/ADVX/*
%{_libdir}/ADVX/*

%changelog

* Tue Apr 5 2005 Scott Grayban <sgrayban@borgnet.us>
- rebuild for 10.1

* Thu Mar 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-4mdk
- fix %%post and %%postun to prevent double restarts
- own directories (#14418)
- misc spec file and rpmlint fixes

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-3mdk
- spec file cleanups, remove the ADVX-build stuff

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-2mdk
- added means to secure sensible data (S101)

* Mon Feb 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-1mdk
- added the new dumpio module to the config
- merge changes from the httpd2-VANILLA.conf file

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-7mdk
- set TMP and TMPDIR to /tmp

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-6mdk
- Mandrake Linux/Mandrakelinux, spotted by "Zeb"

* Mon Jan 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-5mdk
- handle mod_perl2 access from the apache2-mod_perl config

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-4mdk
- build the dietized binay
- added forgotten and new stuff in the httpd2*.conf files
- various small fixes here and there
- added the robots.txt file after looking at the suse stuff...
- misc spec file fixes

* Sun Oct 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-3mdk
- make use of the new %%{_sysconfdir}/sysconfig/httpd file

* Wed Oct 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-2mdk
- make the sysv script spit out those -D variables if wanted

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-1mdk
- 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51-1mdk
- 2.0.51

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-4mdk
- reverse an gprintified mistake in the past (S0)

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-3mdk
- let the apache user own some of its directories (fixes #6014)

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-2mdk
- provide the actual directory too, duh! (Michael Reinsch)

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-1mdk
- remove redundant provides
- use new webapps policy

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-4mdk
- yet again a funnier initscript...

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-3mdk
- fixed S0 again

* Wed Jun 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-2mdk
- fixed S0 so that the semkill stuff has to be initiated manually
- added/prepared for the new mod_log_forensic module

* Sat May 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-1mdk
- 2.0.49

* Sat May 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.48-3mdk
- fix S0; bugzilla #5629, #9101, #9107, #9167 and anthill #489, #490, #599
- logrotate if size is above 2GB; anthill #689

* Wed Mar 17 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.48-2mdk
- added extramodules to file list
- added MIME types for urpmi and urpmi-media
- fixed MIME type for rpm
- added MIME types for OOo (bug #6113)

* Wed Oct 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48-1mdk
- 2.0.48
- drop 8x support
- activate mod_logio

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-8mdk
- Remove ScriptLog, nice try, but that wasn't the right solution to the
  cgi problem. The Apache bug 22030 was fixed in apache2-2.0.47-6mdk

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-7mdk
- Fix ScriptLog

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-6mdk
- AddLanguage eo .eo (esperanto)
- AddDefaultCharset Off (it was overriding META tags which is bad for
  international sites) [BUG 5398]
- Make Apache start after Mysql [BUG 5532]
- Add ScriptLog directive to httpd2.conf to flush stderr

* Thu Sep 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-5mdk
- add mime types for .jar and .jad on request by Andre Nathan
- Remove the #config directive in the initscript since it confuses
  linuxconf 
- fix ownership of cache directory [BUG 3904]

* Thu Sep 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47-4mdk
- fix ASF bug #21685 on request by Grgoire Colbert

* Tue Sep 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47-3mdk
- close #4364

* Fri Jul 11 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.47-2mdk
- Fix advxsplitlogfile for good
- Do not rotate ssl_cache, otherwise some race conditions can happen.

* Wed Jul 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47-1mdk
- 2.0.47
- added new (commented) directories to S6

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46-2mdk
- fix S0 (duh!)

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46-1mdk
- 2.0.46
- manually merged entries from old S3 into new S3 from 2.0.46 (phuh!)
- updated S1, S2, S5, S6
- kill zombie advxsplitlogfile processes when shut down (S0)
- split configs into separate files (mod_proxy, etc.)

* Sat Apr 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.45-4mdk
- Fix reload, make it libdir independent. For further changes, please
  make sure to use detect/detectlib before any use of $LIB variable

* Fri Apr 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.45-3mdk
- Make it lib64 aware

* Mon Apr 07 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.45-2mdk
- Rebuild for 9.1 security update

* Tue Apr 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45-1mdk
- 2.0.45
- updated S6

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-11mdk
- Add link for both versions of modules (1.3 and 2.0).

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-10mdk
- Remove the text about removing the .htaccess, since it's now included as
  an ErrorDocument message.

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-9mdk
- fix ErrorDocument for manuals
- change index.shtml to reflect the fact that we can install both versions
  of Apache, that we can switch from one version to the other, and that we
  have both manual versions as well.
- put config(noreplace) for favicon.ico to not overwrite a web site's icon.
  (submitted by David Walser <luigiwalser@yahoo.com>

* Sun Mar  2 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-8mdk
- Fix mime type for svg+xml (requested by liam@w3.org)
- add index.xml to the list of indexes
- fix public_html stuff in commonhttpd.conf

* Sun Mar  2 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-7mdk
- Add a new set of "Powered-by" icons with a similar look-and-feel as the
  ubiquitous Apache icon.
- Redesign the index page a bit
- Add an ErrorDocument directives to the .htaccess file in addon-modules so
  people know what to do if they want to enable access to that directory.
- Change favicon.ico by a new ADVX icon.

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-6mdk
- Modify commonhttpd.conf so that /perl-status works when mod_perl 2.0 is
  really final
- advxsplitlogfile: fixes for "use stric" and perl_checker fixes

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-5mdk
- JMD: PLEASE REMOVE apache2-conf FROM MAIN!
- Obsoletes: apache2-conf

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-4mdk
- Update mime types... before: 270, after: 441!
- Improve migration scripts, we can update from as far as MDK 7.1!

* Sat Feb 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-3mdk
- use %%ghost for old config files

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44-2mdk
- renamed apache2-conf SRPM and RPM to apache-conf, since both versions of
  Apache can use the same config files.
- misc. fixes to the init script
- add ap13chkconfig, advxrun1.3 and advxrun2.0 scripts for easy migration
  and switching from 1.3 to 2.0.

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44-1mdk
- 2.0.44
- updated S6

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43-5mdk
- fix buildrequires ADVX-build >= 1.1
- clean up after build

* Mon Jan 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43-4mdk
- Up version number to synchronize Cooker: the apache-conf rpm is now
  generated by the apache2-conf SRPM, and the upload scripts don't know
  how to manage that. 

* Tue Jan 07 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43-3mdk
- Put README.apache-conf in the right place.
- Fix initscript to use the pid files to know what to stop, instead
  of relying the presence of binaries, this makes it possible to switch
  versions (1.3/2.0/1.3-perl) on the fly.

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43-2mdk
- Use the apache2-conf SRPM to generate apache-conf. It was a PITA to 
  manage two versions, and since the source files are the same, it's a
  logical thing to do.
- Created a new apache-compat package that will help 2.0 users who
  need to roll back to 1.3 temporarily (and back to 2.0 again when
  they're ready)
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 
- Likewise, add Provides: AP13package and AP20package in the same
  manner

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)

* Wed Sep 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42-3mdk
- added the new mod_logio module entries to commonhttpd.conf and
  httpd2.conf, check: http://localhost/manual/mod/mod_logio.html

* Wed Sep 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42-2mdk
- argh!, corrected a small glitch in commonhttpd.conf

* Wed Sep 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42-1mdk
- remove the ADVX rpm package naming scheme
- merge config changes from 2.0.42, also add missing stuff

* Mon Sep 23 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.40ADVX-14mdk
- use spec file magic from the nagios package to enable builds on ML8.x, and/or
  optionally compile advxsplitlogfile.c against dietlibc

* Sat Sep 07 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-13mdk
- add ADVXpost 

* Sat Sep 07 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-12mdk
- Add more sanity checking into init script
- Really fix description this time 

* Fri Sep 06 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-11mdk
- Correct description
- Fix init script in case someone upgrades to apache2-conf without upgrading
  to apache2
- Add back %{_var}/apache-mm for the same reason
- Don't require apache2-devel, since it's not really needed.

* Thu Sep 05 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-10mdk
- Correct migration scripts bugs, and split the functions into different
  files.

* Wed Sep 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-9mdk
- Complete mod_ssl-migrate
- Complete advx-checkifmigrate

* Wed Sep 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-8mdk
- Macroize according to ADVX policy on www.advx.org/devel/policy.php
- added C version of advxsplitlogfile by Anders Melchiorsen <anders@kalibalik.dk>

* Tue Sep 03 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX-7mdk
- Add favicon

* Wed Aug 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40-6mdk
- *Lots* of changes for Apache 2.0.40
- completely macroized specfile
- renamed package apache2-conf

* Fri Jul 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.3.26-2mdk
- add apache user

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.26-1mdk
- apache 1.3.26.
- EAPI 2.8.10.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.24-1mdk
- apache 1.3.24.
- EAPI 2.8.8.

* Wed Mar 13 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-4mdk
- IMPORTANT FIX: add Document root in httpd-perl.conf
- Fixed URL in Spec file

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-3mdk
- Removed the restrictive settings on the /addon-modules directory, and 
  replaced it by a .htaccess so people can read the documentation on the
  modules remotely, by removing the .htaccess.
- s/advx.com/advx.org/ in HOWTO-GET-MODULES file

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-2mdk
- Fix manual path
- Fix configuration files to be more secure, and also to be easier to parse
  by Frontpage and other addons.
- The old advx.com is broken, the new site is www.advx.org
- Misc. fixes to index.shtml (yes, I removed my name from the index.shtml, 
  some people did not like it)

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.23-1mdk
- Apache 1.3.23.
- EAPI 2.8.6.

* Thu Jan 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-3mdk
- advxsplitlogfile splits using hours, not minutes.
- Require on lynx (used in httpd.init)

* Wed Oct 17 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.3.22-2mdk
- use a more secure commonhttpd.conf; disable Indexes pretty much everywhere

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-1mdk
- apache 1.3.22.

* Tue Oct 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.20-4mdk
- Remove use of RPM_SOURCE_DIR (AKA specfile cleaning).
- make rpmlint happier.

* Wed Sep 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3.20-3mdk
- Change default Mandrake Linux image

* Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.20-2mdk
- fix init script bug

* Tue Jul 10 2001 Philippe Libat <philippe@mandrakesoft.com>  1.3.20-1mdk
- new apache version

* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-3mdk
- fix prereqs

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-2mdk
- fixed bug with mod_perl upgrade
- use _post_service and _preun_service macros
- unset some unneeded (and potentially insecure) environment variables

* Sun Mar 25 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-1mdk
- Created this new package for configuration files
  see description for more info
- Extensive rewrite of the configuration files
- New mod_perl configuration
- New virtualhost logging and dynamic log rotation
- New utilities for adding/removing modules and upgrades
- Apache and apache_mod-perl now use the same set of modules
- Added some SuSE compatibility
